Subject: Re: bash path search bug & workarounds
From: [email-masked] (Michael Hirmke)

29 May 1997 19:09:16 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
In-Reply-To: <[email-masked]>
X-Mailer: CrossPoint v3.11 R/C9763
x-irc-nick: nobanzai
x-no-archive: yes
Original-Sender: [email-masked]

Hi Vassilii,

> 
> I have both BC5 and gnu-win32 installed on my NT4.
> The gnu-win32 executables come before BC5 in my path.
> 
> I wanted to create such an environment in which
>      in CMD -- GREP.COM and MAKE.EXE from BC
>      in bash -- gnu grep & make
> would start up when I simply type "grep" and "make".

Why don't you just create a .bashrc in your $HOME directory and change
the $PATH for that bash session in it ?
You could even do the same thing for cmd.exe with a small DOS batch.
Just create a shortcut with the following command line:

C:\WINDOWS\system32\cmd.exe /e:2048 /k <drive>:\<path>\dosrc.bat

Then dosrc.bat gets executed and afterwards you get a command prompt. If you
change/set any environment variables in dosrc.bat, they exist for the
actual session.

[...]
> 
> Your
>      BACbKA

Bye.
Michael.
-- 
Ich bin vom 1. Juni bis 3. Juli in Urlaub, Ihr muesst Euch also leider
bis dahin mit einer Antwort auf Euere Postings und Mails gedulden :))
-- 
I'm on vacation from June, 1st to Juli, 3rd - so please be patient to
get an answer to your postings and mails until I'll be back - thx :))
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  [email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".